Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-706

Vendor the msgpack gem

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Do
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide

      Puppet-agent packages contain a vendored msgpack gem available for puppet to use.

      Show
      Puppet-agent packages contain a vendored msgpack gem available for puppet to use.
    • Team:
      Platform OS
    • Story Points:
      2

      Description

      In order to facilitate PUP-5908 we need to vendor the msgpack gem in the agent

      This should follow the pattern set forth in other gems for the agent (like rubygem-semantic_puppet)

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              sean.mcdonald Sean McDonald
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support